<detalle-proveedor *ngIf="proveedorSeleccionado" [proveedor] ="proveedorSeleccionado"></detalle-proveedor>

<div class="card border-primary mb-3">
  <div class="card-header">Proveedores</div>
  <div class="card-body text-primary">
    <h5 class="card-title">Listado de Proveedores</h5>
    <div class="my-2 text-left">
      <button   class="btn btn-rounded btn-primary" type="button" [routerLink]="['/proveedores/form']">
        Crear Proveedor
      </button>
    </div>
    <div *ngIf="proveedors?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-bordered table-striped table-responsive " *ngIf="proveedors?.length>0">
      <thead>
        <tr>
          <th>Compra</th>
          <th>RUC</th>
          <th>Nombre</th>
          <th>Encargado</th>
          <th>Email</th>
          <th>Region</th>
          <th>Direccion</th>
          <th>Telefono</th>
          <!--th>Fecha</th-->
          <th  >ingresar compra</th>
          <th  >editar</th>
          <th  >eliminar</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let proveedor of proveedors">
          <td>
            <button type="button" name="ver" class="btn btn-success btn-sm" disabled (click)="abrirModal(proveedor)" >ver Compras</button>
          </td>
            <td>{{ proveedor.cedula }}</td>
          <td>{{ proveedor.nombre }}</td>
          <td>{{ proveedor.encargado | uppercase }}</td>
          <td>{{ proveedor.email }}</td>
          <td>{{ proveedor.region.nombre }}</td>
          <td>{{ proveedor.direccion }}</td>
          <td>{{ proveedor.telefono }}</td>
          <!--td>{{ proveedor.createAt | date:"EEEE dd, MMMM yyyy"}}</td-->
          <td  ><button type="button" class="btn btn-success btn-sm" [routerLink]="['/compras/form', proveedor.id]">add compra</button></td>
          <td  >
            <button type="button" name="editar" [routerLink]="['/proveedores/form', proveedor.id]" class="btn btn-primary btn-sm">editar</button>
          </td>
          <td  >
            <button type="button" name="eliminar" (click)='delete(proveedor)' class="btn btn-danger btn-sm">Baja</button>
          </td>
        </tr>
      </tbody>
    </table>
    <paginator-nav *ngIf="paginador" [paginador]="paginador"></paginator-nav>
  </div>
</div>
